declare type FormNodeType = 'control' | 'array' | 'group';
export default abstract class BaseNode {
    private readonly _name;
    private readonly _type;
    constructor(name: string, type: FormNodeType);
    protected get type(): FormNodeType;
    get name(): string;
    abstract build(): string;
}
export {};
