import { ArrayDefinition, DataType, MergedDefinition, ObjectDefinition, PrimitiveDataType, SchemaDefinition } from '../contracts/ngx-openapi-types';
export declare const isNil: (value: unknown) => value is null | undefined;
export declare const isString: (value: unknown) => value is string;
export declare function hasPresentKey<K extends string | number | symbol>(k: K): <T, V>(a: T & { [k in K]?: V | null | undefined; }) => a is T & { [k_1 in K]: V; };
export declare const isPrimitiveDataType: (value: DataType) => value is PrimitiveDataType;
export declare const isMergedDefinition: (schema: SchemaDefinition) => schema is MergedDefinition;
export declare const isPrimitive: (schema: SchemaDefinition) => boolean;
export declare const isEnum: (schema: SchemaDefinition) => boolean;
export declare const isObjectDefinition: (schema: SchemaDefinition) => schema is ObjectDefinition;
export declare const isArrayDefinition: (schema: SchemaDefinition) => schema is ArrayDefinition;
